diff --git a/Changelog.md b/Changelog.md
index bcc205c..53cbafe 100644
--- a/Changelog.md
+++ b/Changelog.md
@@ -2,6 +2,9 @@
 # v0.11-dev
 # Added
  - Unlocked the uploading of any file type. Note that only the file types specified in the settings are allowed to be uploaded.
+ - Enhanced the recent changes page.
+    - New pages show up with an 'N' next to them (as they do in a MediaWiki installation)
+    - Page deletions show up in red with a line though them
 
 # Changed
  - Enhanced the dev help page some more
diff --git a/build/index.php b/build/index.php
index ae68546..44396d7 100644
--- a/build/index.php
+++ b/build/index.php
@@ -1596,40 +1596,11 @@ register_module([
 			
 			$content = "\t\t<h1>Recent Changes</h1>\n";
 			
-			$recentchanges = json_decode(file_get_contents($paths->recentchanges));
+			$recent_changes = json_decode(file_get_contents($paths->recentchanges));
 			
-			if(count($recentchanges) > 0)
+			if(count($recent_changes) > 0)
 			{
-				$content .= "<ul class='page-list'>\n";
-				foreach($recentchanges as $rchange)
-				{
-					// Render the page's name
-					$pageDisplayName = $rchange->page;
-					if(isset($pageindex->$pageDisplayName) and !empty($pageindex->$pageDisplayName->redirect))
-						$pageDisplayName = "<em>$pageDisplayName</em>";
-					
-					switch(isset($rchange->type) ? $rchange->type : "edit")
-					{
-						case "edit":
-							// The number (and the sign) of the size difference to display
-							$size_display = ($rchange->sizediff > 0 ? "+" : "") . $rchange->sizediff;
-							$size_display_class = $rchange->sizediff > 0 ? "larger" : ($rchange->sizediff < 0 ? "smaller" : "nochange");
-							if($rchange->sizediff > 500 or $rchange->sizediff < -500)
-							$size_display_class .= " significant";
-							
-							
-							$title_display = human_filesize($rchange->newsize - $rchange->sizediff) . " -> " .  human_filesize($rchange->newsize);
-							
-							
-							$content .= "\t\t\t<li" . (!empty($rchange->newpage) ? " class='newpage'" : "") . "><a href='?page=" . rawurlencode($rchange->page) . "'>$pageDisplayName</a> <span class='editor'>&#9998; $rchange->user</span> <time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $rchange->timestamp) . "'>" . human_time_since($rchange->timestamp) . "</time> <span class='$size_display_class' title='$title_display'>($size_display)</span></li>\n";
-							break;
-						
-						case "deletion":
-							$content .= "<li class='deletion'>$pageDisplayName <span class='editor'>&#9998; $rchange->user</span> <time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $rchange->timestamp) . "'>" . human_time_since($rchange->timestamp) . "</time></li>";
-					}
-					
-				}
-				$content .= "\t\t</ul>";
+				$content .= render_recent_changes($recent_changes);
 			}
 			else
 			{
@@ -1688,6 +1659,59 @@ function add_recent_change($rchange)
 	file_put_contents($paths->recentchanges, json_encode($recentchanges, JSON_PRETTY_PRINT));
 }
 
+function render_recent_changes($recentchanges)
+{
+	$content = "<ul class='page-list'>\n";
+	foreach($recentchanges as $rchange)
+	{
+		$content .= render_recent_change($rchange);
+	}
+	$content .= "\t\t</ul>";
+	
+	return $content;
+}
+
+function render_recent_change($rchange)
+{
+	// Render the page's name
+	$pageDisplayName = $rchange->page;
+	if(isset($pageindex->$pageDisplayName) and !empty($pageindex->$pageDisplayName->redirect))
+		$pageDisplayName = "<em>$pageDisplayName</em>";
+	
+	$editorDisplayHtml = "<span class='editor'>&#9998; $rchange->user</span>";
+	$timeDisplayHtml = "<time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $rchange->timestamp) . "'>" . human_time_since($rchange->timestamp) . "</time>";
+	
+	$result = "";
+	$resultClasses = [];
+	switch(isset($rchange->type) ? $rchange->type : "edit")
+	{
+		case "edit":
+			// The number (and the sign) of the size difference to display
+			$size_display = ($rchange->sizediff > 0 ? "+" : "") . $rchange->sizediff;
+			$size_display_class = $rchange->sizediff > 0 ? "larger" : ($rchange->sizediff < 0 ? "smaller" : "nochange");
+			if($rchange->sizediff > 500 or $rchange->sizediff < -500)
+				$size_display_class .= " significant";
+			
+			
+			$title_display = human_filesize($rchange->newsize - $rchange->sizediff) . " -> " .  human_filesize($rchange->newsize);
+			
+			if(!empty($rchange->newpage))
+				$resultClasses[] = "newpage";
+			
+			$result .= "<a href='?page=" . rawurlencode($rchange->page) . "'>$pageDisplayName</a> $editorDisplayHtml $timeDisplayHtml <span class='$size_display_class' title='$title_display'>($size_display)</span>";
+			break;
+		
+		case "deletion":
+			$resultClasses[] = "deletion";
+			$result .= "$pageDisplayName $editorDisplayHtml $timeDisplayHtml";
+	}
+	
+	$resultAttributes = " " . (count($resultClasses) > 0 ? "class='" . implode(" ", $resultClasses) . "'" : "");
+	$result = "\t\t\t<li$resultAttributes>$result</li>\n";
+	
+	return $result;
+}
+
 
 
 
diff --git a/module_index.json b/module_index.json
index bf3ce07..2fc2df3 100644
--- a/module_index.json
+++ b/module_index.json
@@ -41,7 +41,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds recent changes. Access through the 'recent-changes' action.",
         "id": "feature-recent-changes",
-        "lastupdate": 1459694503,
+        "lastupdate": 1459695505,
         "optional": false
     },
     {
diff --git a/modules/feature-recent-changes.php b/modules/feature-recent-changes.php
index 2271a6e..0016a55 100644
--- a/modules/feature-recent-changes.php
+++ b/modules/feature-recent-changes.php
@@ -31,40 +31,11 @@ register_module([
 			
 			$content = "\t\t<h1>Recent Changes</h1>\n";
 			
-			$recentchanges = json_decode(file_get_contents($paths->recentchanges));
+			$recent_changes = json_decode(file_get_contents($paths->recentchanges));
 			
-			if(count($recentchanges) > 0)
+			if(count($recent_changes) > 0)
 			{
-				$content .= "<ul class='page-list'>\n";
-				foreach($recentchanges as $rchange)
-				{
-					// Render the page's name
-					$pageDisplayName = $rchange->page;
-					if(isset($pageindex->$pageDisplayName) and !empty($pageindex->$pageDisplayName->redirect))
-						$pageDisplayName = "<em>$pageDisplayName</em>";
-					
-					switch(isset($rchange->type) ? $rchange->type : "edit")
-					{
-						case "edit":
-							// The number (and the sign) of the size difference to display
-							$size_display = ($rchange->sizediff > 0 ? "+" : "") . $rchange->sizediff;
-							$size_display_class = $rchange->sizediff > 0 ? "larger" : ($rchange->sizediff < 0 ? "smaller" : "nochange");
-							if($rchange->sizediff > 500 or $rchange->sizediff < -500)
-							$size_display_class .= " significant";
-							
-							
-							$title_display = human_filesize($rchange->newsize - $rchange->sizediff) . " -> " .  human_filesize($rchange->newsize);
-							
-							
-							$content .= "\t\t\t<li" . (!empty($rchange->newpage) ? " class='newpage'" : "") . "><a href='?page=" . rawurlencode($rchange->page) . "'>$pageDisplayName</a> <span class='editor'>&#9998; $rchange->user</span> <time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $rchange->timestamp) . "'>" . human_time_since($rchange->timestamp) . "</time> <span class='$size_display_class' title='$title_display'>($size_display)</span></li>\n";
-							break;
-						
-						case "deletion":
-							$content .= "<li class='deletion'>$pageDisplayName <span class='editor'>&#9998; $rchange->user</span> <time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $rchange->timestamp) . "'>" . human_time_since($rchange->timestamp) . "</time></li>";
-					}
-					
-				}
-				$content .= "\t\t</ul>";
+				$content .= render_recent_changes($recent_changes);
 			}
 			else
 			{
@@ -123,4 +94,57 @@ function add_recent_change($rchange)
 	file_put_contents($paths->recentchanges, json_encode($recentchanges, JSON_PRETTY_PRINT));
 }
 
+function render_recent_changes($recentchanges)
+{
+	$content = "<ul class='page-list'>\n";
+	foreach($recentchanges as $rchange)
+	{
+		$content .= render_recent_change($rchange);
+	}
+	$content .= "\t\t</ul>";
+	
+	return $content;
+}
+
+function render_recent_change($rchange)
+{
+	// Render the page's name
+	$pageDisplayName = $rchange->page;
+	if(isset($pageindex->$pageDisplayName) and !empty($pageindex->$pageDisplayName->redirect))
+		$pageDisplayName = "<em>$pageDisplayName</em>";
+	
+	$editorDisplayHtml = "<span class='editor'>&#9998; $rchange->user</span>";
+	$timeDisplayHtml = "<time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $rchange->timestamp) . "'>" . human_time_since($rchange->timestamp) . "</time>";
+	
+	$result = "";
+	$resultClasses = [];
+	switch(isset($rchange->type) ? $rchange->type : "edit")
+	{
+		case "edit":
+			// The number (and the sign) of the size difference to display
+			$size_display = ($rchange->sizediff > 0 ? "+" : "") . $rchange->sizediff;
+			$size_display_class = $rchange->sizediff > 0 ? "larger" : ($rchange->sizediff < 0 ? "smaller" : "nochange");
+			if($rchange->sizediff > 500 or $rchange->sizediff < -500)
+				$size_display_class .= " significant";
+			
+			
+			$title_display = human_filesize($rchange->newsize - $rchange->sizediff) . " -> " .  human_filesize($rchange->newsize);
+			
+			if(!empty($rchange->newpage))
+				$resultClasses[] = "newpage";
+			
+			$result .= "<a href='?page=" . rawurlencode($rchange->page) . "'>$pageDisplayName</a> $editorDisplayHtml $timeDisplayHtml <span class='$size_display_class' title='$title_display'>($size_display)</span>";
+			break;
+		
+		case "deletion":
+			$resultClasses[] = "deletion";
+			$result .= "$pageDisplayName $editorDisplayHtml $timeDisplayHtml";
+	}
+	
+	$resultAttributes = " " . (count($resultClasses) > 0 ? "class='" . implode(" ", $resultClasses) . "'" : "");
+	$result = "\t\t\t<li$resultAttributes>$result</li>\n";
+	
+	return $result;
+}
+
 ?>
